Recordings
List recordings
Your workspace’s recordings, newest first. List rows leave out transcript, analysis and delivery; read a recording by id for those.
GET
/
v2
/
recordings
List recordings
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/recordings';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "rec_01JDX3K6Y8M2N4P6Q8R0S2T4V6",
"object": "recording",
"status": "completed",
"insight": true,
"agent_id": "agt_01JD7Q2M4N6P8R0S2T4V6W8X0Y",
"agent_revision": 4,
"source": "upload",
"file_name": "call-0412.wav",
"bytes": 10012844,
"duration_secs": 312.4,
"channels": 2,
"speakers": "channels",
"language": null,
"detected_language": "hi",
"recorded_at": "2026-11-16T15:42:00+05:30",
"metadata": {
"crm_id": "L-2231"
},
"created_at": "2026-11-17T10:02:11Z",
"started_at": "2026-11-17T10:02:14Z",
"transcribed_at": "2026-11-17T10:03:31Z",
"completed_at": "2026-11-17T10:03:44Z",
"queue_position": null,
"progress": null,
"error": null,
"cost": {
"transcription": {
"status": "charged",
"amount_inr": 1.57,
"amount_paise": 157,
"rate_inr_per_minute": 0.3
},
"insight": {
"status": "charged",
"amount_inr": 1.05,
"amount_paise": 105,
"rate_inr_per_minute": 0.2
},
"amount_inr": 2.62,
"amount_paise": 262
}
}
],
"has_more": false,
"next_cursor": null
}Authorizations
Query Parameters
Response
200 - application/json
One page
⌘I
List recordings
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/recordings';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "rec_01JDX3K6Y8M2N4P6Q8R0S2T4V6",
"object": "recording",
"status": "completed",
"insight": true,
"agent_id": "agt_01JD7Q2M4N6P8R0S2T4V6W8X0Y",
"agent_revision": 4,
"source": "upload",
"file_name": "call-0412.wav",
"bytes": 10012844,
"duration_secs": 312.4,
"channels": 2,
"speakers": "channels",
"language": null,
"detected_language": "hi",
"recorded_at": "2026-11-16T15:42:00+05:30",
"metadata": {
"crm_id": "L-2231"
},
"created_at": "2026-11-17T10:02:11Z",
"started_at": "2026-11-17T10:02:14Z",
"transcribed_at": "2026-11-17T10:03:31Z",
"completed_at": "2026-11-17T10:03:44Z",
"queue_position": null,
"progress": null,
"error": null,
"cost": {
"transcription": {
"status": "charged",
"amount_inr": 1.57,
"amount_paise": 157,
"rate_inr_per_minute": 0.3
},
"insight": {
"status": "charged",
"amount_inr": 1.05,
"amount_paise": 105,
"rate_inr_per_minute": 0.2
},
"amount_inr": 2.62,
"amount_paise": 262
}
}
],
"has_more": false,
"next_cursor": null
}